ruby-puppetlabs-spec-helper_2.6.2-1_all.deb


Advertisement

Description

ruby-puppetlabs-spec-helper - rake tasks and spec helper for spec tests on puppet modules

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-puppetlabs-spec-helper
Package version 2.6.2
Package release 1
Package architecture all
Package type deb
Installed size 76 B
Download size 27.11 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-puppetlabs-spec-helper_2.6.2-1_all.deb 2.6.2 all Debian Main
ruby-puppetlabs-spec-helper - - -

Requires

Name Value
puppet-lint >= 2.0
ruby -
ruby-interpreter -
ruby-mocha >= 1.0
ruby-puppet-syntax >= 2.0
ruby-rspec-puppet >= 2.0

Download

Type URL
Binary Package ruby-puppetlabs-spec-helper_2.6.2-1_all.deb
Source Package ruby-puppetlabs-spec-helper

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-puppetlabs-spec-helper deb package:
    # sudo apt-get install ruby-puppetlabs-spec-helper

Files

Path
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/module_spec_helper.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/puppet_spec_helper.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/puppetlabs_spec_helper.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/rake_tasks.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/version.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/puppetlabs_spec/files.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/puppetlabs_spec/fixtures.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/puppetlabs_spec/matchers.rb
/usr/lib/ruby/vendor_ruby/puppetlabs_spec_helper/puppetlabs_spec/puppet_internals.rb
/usr/share/doc/ruby-puppetlabs-spec-helper/README.md.gz
/usr/share/doc/ruby-puppetlabs-spec-helper/changelog.Debian.gz
/usr/share/doc/ruby-puppetlabs-spec-helper/changelog.gz
/usr/share/doc/ruby-puppetlabs-spec-helper/copyright
/usr/share/rubygems-integration/all/specifications/puppetlabs_spec_helper-2.6.2.gemspec

Changelog

2018-04-03 - Sebastien Badia <sbadia@debian.org>
ruby-puppetlabs-spec-helper (2.6.2-1) unstable; urgency=medium
[ Cédric Boutillier ]
* Remove version in the gem2deb build-dependency
* Run wrap-and-sort on packaging files
[ Sebastien Badia ]
* New upstream version 2.6.2 (Closes: #758712)
* d/watch: Bump to version 4, use HTTPS for URI and switch to github
* d/compat: Bump compat version to 11
* d/copyright: Update copyright years and use HTTPS for URI
* d/rules: Clean un-used rules
* d/control:
+ Added missing B-D and update dependencies
+ Use salsa.debian.org in Vcs-* fields
+ Bump to Standards-Version 4.1.3 (no changes needed)
+ Added myself as Uploader (and remove Thomas) (Closes: #892685)
* d/docs: Ship the readme file
* d/upstream: Added Upstream metadata
* d/tests: Added a simple test for puppetlabs-spec-helper rake tasks
2015-10-08 - Gaudenz Steinlin <gaudenz@debian.org>
ruby-puppetlabs-spec-helper (0.10.3-1) unstable; urgency=medium
* Team upload.
* [d962c4] Imported Upstream version 0.10.3
* [5fda3e] Remove no longer needed
"0001-Avoid-use-of-gem-for-loading-rspec.patch"
* [cc5b49] Update standards version (no changes needed)
2014-07-21 - Cédric Boutillier <boutil@debian.org>
ruby-puppetlabs-spec-helper (0.4.1-2) unstable; urgency=medium
* Team upload
[ Stig Sandbeck Mathisen ]
* Add patch to avoid use of "gem" (Closes: #741331)
2013-11-29 - Thomas Bechtold <thomasbechtold@jpberlin.de>
ruby-puppetlabs-spec-helper (0.4.1-1) unstable; urgency=low
* Initial release (Closes: #730843)

See Also

Package Description
ruby-pygments.rb_1.2.0-2_all.deb pygments wrapper for Ruby
ruby-qdbm_1.8.78-9+b1_amd64.deb QDBM Database Libraries for Ruby
ruby-rabl-rails_0.4.1-1_all.deb fast Rails 3+ templating system with JSON and XML support
ruby-rabl_0.13.1-1_all.deb Ruby templating library with JSON, BSON, XML and MessagePack support
ruby-rack-accept_0.4.5-3_all.deb suite of tools for interpreting HTTP Accept family for Ruby/Rack
ruby-rack-attack_4.4.1-1_all.deb Block & throttle abusive requests
ruby-rack-cache_1.2-4_all.deb HTTP Caching for Rack
ruby-rack-contrib_1.3.0-3_all.deb contributed Rack Middleware and Utilities
ruby-rack-cors_1.0.2-1_all.deb enable Cross-Origin Resource Sharing in Rack apps
ruby-rack-flash3_1.0.5-2_all.deb Flash hash for Ruby Rack applications
ruby-rack-google-analytics_1.2.0-2_all.deb Simple Rack middleware to inject the Google Analytics tracking code
ruby-rack-mobile-detect_0.4.0-4_all.deb rack middleware for ruby webapps to detect mobile devices
ruby-rack-mount_0.8.3-3_all.deb Stackable dynamic tree based Rack router
ruby-rack-oauth2_1.9.2-1_all.deb Rack interface for an OAuth 2.0
ruby-rack-openid_1.4.2-1_all.deb Ruby Rack library to provide access to OpenID
Advertisement
Advertisement